%global packname  errors
%global rlibdir   %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.3.0
Release:          3%{?dist}
Summary:          Uncertainty Propagation for R Vectors

License:          MIT
URL:              https://cran.r-project.org/package=%{packname}
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

BuildRequires:    R-devel >= 3.0.0 R-uuid R-testthat
# BuildRequires:  R-tibble R-pillar
BuildArch:        noarch
Requires:         R-core R-uuid

%description
Support for measurement errors in R vectors, matrices and arrays:
automatic uncertainty propagation and reporting.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data

%changelog
* Wed Aug 15 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.3.0-3
- Bump version to trigger rebuild due to target misconfiguration in f29

* Wed Aug 15 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.3.0-2
- Bump version to trigger rebuild due to target misconfiguration in f29

* Tue Aug 14 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.3.0-1
- initial package for Fedora
